summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorIlya Mashchenko <ilya@netdata.cloud>2022-01-17 21:13:29 +0300
committerGitHub <noreply@github.com>2022-01-17 21:13:29 +0300
commit118400387594c953fe3326c1e65eaca0a995fec0 (patch)
tree582b651afee2de41055ed63eb61880f40f716595
parent3296f78436ce1f474cd38de7e842df6cf2f1f112 (diff)
fix(updater): checksum validation for static build (#11986)
-rwxr-xr-xpackaging/installer/netdata-updater.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/installer/netdata-updater.sh b/packaging/installer/netdata-updater.sh
index 5775f9c8ca..9647100582 100755
--- a/packaging/installer/netdata-updater.sh
+++ b/packaging/installer/netdata-updater.sh
@@ -405,7 +405,7 @@ update_static() {
sysarch="$(uname -m)"
download "${NETDATA_TARBALL_CHECKSUM_URL}" "${ndtmpdir}/sha256sum.txt"
download "${NETDATA_TARBALL_URL}" "${ndtmpdir}/netdata-${sysarch}-latest.gz.run"
- if ! grep netdata-latest.gz.run "${ndtmpdir}/sha256sum.txt" | safe_sha256sum -c - > /dev/null 2>&1; then
+ if ! grep "netdata-${sysarch}-latest.gz.run" "${ndtmpdir}/sha256sum.txt" | safe_sha256sum -c - > /dev/null 2>&1; then
fatal "Static binary checksum validation failed. Stopping netdata installation and leaving binary in ${ndtmpdir}\nUsually this is a result of an older copy of the file being cached somewhere and can be resolved by simply retrying in an hour."
fi